Skip to main content

Get By Code

GET

https://domain/api/fm-mobile/v1/c-{clientId}/p-{projectId}/assets/{code}

Request Parameters​

NameDescriptionRequiredType
clientIdRequiredstring
projectIdRequiredstring
codeasset codeRequiredstring

Response​

CodeDescription
200
Success.
401
Unauthorized.
404
Not Found.
500
Error From Server.

Response Model​

NameDescriptionType
Codestring
Namestring
Descriptionstring
ProjectIdstring
Pricenumber
Productobject
Systemobject
ProjectIoTDeviceobject
Spaceobject
ProductQuantityobject
Partnerobject
InitialDateDate
DepreciationEndDateDate
LiquidationActionobject

Example Usage​

function helloWorld() {
console.log("Hello, world!");
}

Example Success Response​

[
{
"id": 133024,
"name": "Mumbai"
},
...
]

Example Error Response​

{
"error'": "Unauthorized. You shouldn't be here."
}